# boost::numeric::ublas::matrix_matrix_binary_functor< M1, M2, TV > Struct Template Reference

Inherited by boost::numeric::ublas::matrix_matrix_prod< M1, M2, TV >.

List of all members.

## Public Types

typedef M1::size_type | size_type
typedef M1::difference_type | difference_type
typedef TV | value_type
typedef TV | result_type

### template<class M1, class M2, class TV>
struct boost::numeric::ublas::matrix_matrix_binary_functor< M1, M2, TV >